Bug Hunting Session
Bug 48733 - App themes to change LibreOffice appearance
Summary: App themes to change LibreOffice appearance
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 103668 116035 (view as bug list)
Depends on:
Blocks: UI-Theming
  Show dependency treegraph
 
Reported: 2012-04-15 08:52 UTC by marc
Modified: 2018-03-08 19:17 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
overly bright default chart over dark background (2 bytes, text/plain)
2014-08-19 15:34 UTC, marc
Details
calc file with example (15.59 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-11-26 13:49 UTC, marc
Details
screen shot with example (84.52 KB, image/png)
2014-11-26 13:50 UTC, marc
Details
screen shot with chart after changing theme (73.22 KB, image/png)
2014-11-29 12:09 UTC, marc
Details
chart after choosing dark theme.... (73.22 KB, image/png)
2014-11-29 13:39 UTC, marc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description marc 2012-04-15 08:52:20 UTC
inactive plots in calc are very badly visible (ultrabright white with light yellow letters/lines) when one works with dark background and bright grids and text (reverse constrast)...  :(

try giving them colors similar to the colors used for active plots when one works with dark background and bright grid and text
Comment 1 Jorendc 2014-07-04 08:40:39 UTC
Can you please attach a sample document so we can reproduce this behaviour? Looks like no one from the QA team ever did mark this bug as NEW. As far I know this bug report lacks some information.

Is this bug still reproducible with more recent versions of LibreOffice?

Kind regards,
Joren
Comment 2 marc 2014-08-19 15:34:21 UTC
Created attachment 104902 [details]
overly bright default chart over dark background

here's a screen shot.

libre office Version: 4.2.4.2

so the problem is still there on aug.19th 2014
Comment 3 marc 2014-08-19 15:34:57 UTC
thanks for looking into this!  :)
Comment 4 Buovjaga 2014-11-26 13:28:16 UTC
attachment 104902 [details] did not attach properly.
Please also attach a LibreOffice document with the problem.
Comment 5 marc 2014-11-26 13:49:53 UTC
Created attachment 110062 [details]
calc file with example

see attached calc file
Comment 6 marc 2014-11-26 13:50:44 UTC
Created attachment 110063 [details]
screen shot with example

see attached
Comment 7 Buovjaga 2014-11-27 06:46:26 UTC
Tools - Options - LibreOffice - Appearance:
General - Document bg: Black, Font color: Yellow
Spreadsheet - Grid lines: Yellow

With the above settings, the chart font does not turn yellow for me.
Setting to UNCONFIRMED.

Win 7 64-bit Version: 4.5.0.0.alpha0+
Build ID: b144f0ac8695dd62a2053b4e88212d0b109c9a41
TinderBox: Win-x86@51-TDF, Branch:MASTER, Time: 2014-11-25_00:14:54

Ubuntu 14.10 64-bit Version: 4.5.0.0.alpha0+
Build ID: 6b219f012edbe069c461f4e0746898e33fa1dd49
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-25_21:56:46
Comment 8 marc 2014-11-27 19:38:34 UTC
the prob is the bright default color of the chart's background/etc colors that's too bright and defeats having chosen a dark working environment for the spreadsheet in general.

the ideal default is to let charts assume the background/etc working colors chosen for the spreadsheet (but have a "print" default with white background/dark letters/etc to avoid wasting ink/toner).

and the default should allow one to import charts into "impress" presentations in the colors chosen for the working environment of spreadsheet w/o additional steps.
Comment 9 Buovjaga 2014-11-28 06:22:07 UTC
(In reply to marc from comment #8)
> the prob is the bright default color of the chart's background/etc colors
> that's too bright and defeats having chosen a dark working environment for
> the spreadsheet in general.
> 
> the ideal default is to let charts assume the background/etc working colors
> chosen for the spreadsheet (but have a "print" default with white
> background/dark letters/etc to avoid wasting ink/toner).
> 
> and the default should allow one to import charts into "impress"
> presentations in the colors chosen for the working environment of
> spreadsheet w/o additional steps.

Would implementing the enhancement request that is bug 62925 "add "chart styles" to the styles of Calc" be enough for you? This way you could very fast apply dark styles to your charts or have dark as default. If yes, you can set this as RESOLVED DUPLICATE of said enhancement reqeust.
Comment 10 marc 2014-11-28 15:49:09 UTC
why not offer a "dark" switch that switches all LibreOffice applications to "dark mode", i.e., dark background, dark background non-work surfaces, bright characters, bright line-borders, etc?

that's how wXP and w7 do it but for the whole win session: e.g., you switch the wXP OS session to "dark theme" and then all applications switch to "dark" mode (night work= work in dark room).

now firefox in win7 also switches to adapt to a running "dark" win7 session...

this is super useful for night work (work in a dark room) and protects eyes and health (lowers cancer risk mediated by hormonal disruption caused by long exposure to bright light at night).
Comment 11 Buovjaga 2014-11-29 09:17:40 UTC
Ok, how about this scenario:
1) feature gets added for chart styling
2) the "choose themes" feature gets an overhaul as discussed in bug 77569 and bug 85998

This way you could have a pre-defined dark theme (currently selectable from View - Toolbars - Tools - Choose theme) and it would include a style for charts.
Try the example attachment 109080 [details] to see, how the themes work now.
Comment 12 marc 2014-11-29 12:01:59 UTC
that sounds great!  :)

PS.  below are some additional excel features that would be great to have in calc.

please consider implementing them.

- click on a chart to perimeter-highlight the data cells that are
plotted in that chart (calc does it already but...).

- drag the highlighted perimeter to an identically shaped range of
cells (which calc cannot do yet).

- click on a set of specific points in a chart (e.g., x,y scatter) to
so allow one to
  i) perimeter-highlight the involved range(s) of data cells and
  ii) drag the perimeter (or a subset therein, e.g., only the cells
with the X values) to another range of the same shape.


- allow clicking on an element of a chart (e.g., X axis) in order to
edit it via say "cntrl + 1" and/or via double-clicking to open the
edit menu for that specific chart element.
Comment 13 marc 2014-11-29 12:09:12 UTC
Created attachment 110221 [details]
screen shot with chart after changing theme
Comment 14 Buovjaga 2014-11-29 12:24:30 UTC
Ok, good. I'm closing this as RESOLVED INVALID (for lack of a better status :)). I hope you don't mind.

You might want to add yourself to the CC list of bug 62925, bug 77569 and bug 85998 so you will be notified of progress.

Note that German and Swiss cities and institutions are funding the development of the chart style feature as mentioned in bug 62925.

Please create separate enhancement requests for your Excel-style feature suggestions.

You could first do a review of chart-related enhancement request to see, if there are any duplicates to your suggestions: https://bugs.freedesktop.org/buglist.cgi?bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&bug_status=NEEDINFO&component=Chart&f1=bug_severity&list_id=499478&o1=substring&product=LibreOffice&query_format=advanced&v1=enhancement
Comment 15 marc 2014-11-29 13:39:27 UTC
Created attachment 110223 [details]
chart after choosing dark theme....
Comment 16 marc 2014-11-29 13:40:54 UTC
sorry but my last posting mis-fired:

i tried your "View - Toolbars - Tools - Choose theme" solution" but is does not work:

the chart remains bright with any theme i tried and does not adapt to dark ones...  :(


see two previous attachments before this
Comment 17 Buovjaga 2014-11-29 14:10:12 UTC
(In reply to marc from comment #16)
> sorry but my last posting mis-fired:
> 
> i tried your "View - Toolbars - Tools - Choose theme" solution" but is does
> not work:
> 
> the chart remains bright with any theme i tried and does not adapt to dark
> ones...  :(

It's not a solution that works currently. It would work in conjunction with the enhancement that will allow styles to be applied to charts. The "choose theme" feature itself is in need of a total rewrite from Basic to C++ as can be read from the report.

I'm just trying to not grow the mountain of feature requests too much (over 2000 currently) - if your wish could be achieved with the two enhancements I linked to, we would not have to add a third one to the pile. I know that the underlying implementation is different: you started with a request related to the display style and I'm offering a solution that would style the document itself.

If my suggestion is not satisfactory, you can set this report to UNCONFIRMED and adjust the title based on what you said in comment 10. I can then ping the design team so we will know what they think about it.
Comment 18 QA Administrators 2015-09-04 02:56:09 UTC Comment hidden (obsolete)
Comment 19 marc 2015-09-04 09:39:13 UTC
problem remains identical. I am still changing manually the bright background to a darker one each time i insert a new chart from scratch and i am working with a dark background at night.  (actually i stopped working non-dark during the day since the switch is a terrible hassle)  :(

excel2003 switches all the default elements of the chart to adapt to the working theme's darkness: if you switch winXP to dark theme all black lines/numbers/etc in excel2003 become white and if the theme switches back to bright then all white lines/numbers/etc become black...
Comment 20 Buovjaga 2015-09-05 11:52:01 UTC
(In reply to marc from comment #19)
> problem remains identical. I am still changing manually the bright
> background to a darker one each time i insert a new chart from scratch and i
> am working with a dark background at night.  (actually i stopped working
> non-dark during the day since the switch is a terrible hassle)  :(
> 
> excel2003 switches all the default elements of the chart to adapt to the
> working theme's darkness: if you switch winXP to dark theme all black
> lines/numbers/etc in excel2003 become white and if the theme switches back
> to bright then all white lines/numbers/etc become black...

Please respond to my comment 17.
Comment 21 marc 2015-09-05 12:27:00 UTC
yes, please pass the request to the design team that they come up with a switch to set the whole of a libreoffice session to dark mode to protect the health of  people who work at night or in dark rooms.

PS. it would be nice if the whole xubuntu/linux/etc session could be switched to dark mode as macOS, winXP and later, allow one to do for night work.

https://bugs.documentfoundation.org/show_bug.cgi?id=48733#c10
Comment 22 Buovjaga 2015-09-05 12:34:37 UTC
What say you, ux guys?
Comment 23 Heiko Tietze 2015-09-13 08:17:26 UTC
Themes belong to the OS. LO should respect the user settings and not override it. That means I'd rather provide system colors like clBackGround, clBtnForm, clWindow etc. than toggeling sessions between something not well defined.
However, it's a different discussion when we talk about chart styles. In the next release we will get the cell styles in Calc. So why not style charts?
Comment 24 Yousuf Philips (jay) (retired) 2015-09-13 09:22:00 UTC
Yes by default libreoffice should look similar to the operating system it is run on, but we should also provide some application theme presets that users can choose from which would work better than the firefox personas.

https://wiki.documentfoundation.org/Development/GSoC/Ideas#Application_Themes
Comment 25 tommy27 2015-09-30 14:52:07 UTC
@Jay
so which is the final status of this issue? NEW or not?
Comment 26 Yousuf Philips (jay) (retired) 2015-10-02 19:56:06 UTC
(In reply to tommy27 from comment #25)
> @Jay
> so which is the final status of this issue? NEW or not?

If we want to assign this bug to be linked to the GSoC application themes proposal, then definitely it can be set to NEW and the title should be changed to something like 'LibreOffice UI themes'.

The ability to set the UI theme should be in Tools > Options > Personalization.
Comment 27 tommy27 2015-10-03 06:12:34 UTC
let's do it that way then.
Comment 28 Heiko Tietze 2016-11-09 07:52:22 UTC
*** Bug 103668 has been marked as a duplicate of this bug. ***
Comment 29 Buovjaga 2018-03-08 19:17:02 UTC
*** Bug 116035 has been marked as a duplicate of this bug. ***